n = 100
x = rnorm(n)
z = rnorm(n)
idx = 1:n
eta = 5 + x + z + rnorm(n)
formula = y ~ 1 + x + z + f(idx, model="iid")
y = rpois(n, lambda = exp(eta))

# Define linear combinations
# Get alpha_x - alpha_z
lc1 = inla.make.lincomb(x=1, z=-1)
names(lc1) = "lc1"

# Get an average over all random effects
lc2 = inla.make.lincomb(idx=rep(1/n, n))
names(lc2) = "lc2"

# Run inla
r = inla(formula, "poisson", data = data.frame(y, x, z, idx),
         lincomb = c(lc1, lc2), control.inla = list(
                   lincomb.derived.correlation.matrix = TRUE))
                 
r$summary.lincomb.derived
